package de.intevation.gnv.state.describedata;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class DefaultKeyValueDescribeData implements KeyValueDescibeData {

    /**
     *
     */
    private static final long serialVersionUID = -924469415242703108L;

    private String key;

    private String value = null;

    private String state;

    private boolean selected = false;

    public DefaultKeyValueDescribeData(String key, String value) {
        this(key, value, null);
    }

    public DefaultKeyValueDescribeData(String key, String value, String state) {
        super();
        this.key = key;
        this.value = value;
        this.state = state;
    }

    /**
     * @see de.intevation.gnv.state.describedata.KeyValueDescibeData#getKey()
     */
    public String getKey() {
        return this.key;
    }

    /**
     * @see de.intevation.gnv.state.describedata.KeyValueDescibeData#getValue()
     */
    public String getValue() {
        return this.value;
    }

    /**
     * @see de.intevation.gnv.state.describedata.KeyValueDescibeData#isSelected()
     */
    public boolean isSelected() {
        return this.selected;
    }

    /**
     * @see de.intevation.gnv.state.describedata.KeyValueDescibeData#setSelected(boolean)
     */
    public void setSelected(boolean selected) {
        this.selected = selected;
    }


    public String getState() {
        return this.state;
    }

}
