package de.intevation.gnv.timeseries;

import de.intevation.artifacts.ArtifactFactory;

import de.intevation.gnv.artifacts.GNVArtifactBase;

import org.apache.log4j.Logger;

import org.w3c.dom.Document;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 * @author Ingo Weinzierl <ingo.weinzierl@intevation.de>
 *
 */
public class TimeSeriesArtifact extends GNVArtifactBase {

    /**
     * the logger, used to log exceptions and additonaly information
     */
    private static Logger log = Logger.getLogger(TimeSeriesArtifact.class);

    /**
     * The UID of this class
     */
    private static final long serialVersionUID = -8291547966693867205L;

    /**
     * Constructor
     */
    public TimeSeriesArtifact() {
        super();
        log.debug("TimeSeriesArtifact.Constructor");
        this.name = "timeSeries";
    }


    /**
     * @see de.intevation.gnv.artifacts.GNVArtifactBase#setup(java.lang.String,
     *      de.intevation.artifacts.ArtifactFactory, java.lang.Object
     *      org.w3c.dom.Document)
     */
    @Override
    public void setup(String identifier, ArtifactFactory factory,
                      Object context, Document data) {
        log.debug("TimeSeriesArtifact.setup");
        super.setup(identifier, factory, context, data);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
